## cascading.pipe
Class Each.EachHandler

    java.lang.Object
      cascading.pipe.Each.EachHandler

Direct Known Subclasses:
  Each.EachAssertionHandler, Each.EachFilterHandler, Each.EachFunctionHandler

Enclosing class:
  Each

    public abstract class Each.EachHandler

extends Object

Class EachHandler is a helper class that wraps Each instances.

Field Summary
`protected ConcreteCall` `operationCall`

Constructor Summary
`protected` `Each.EachHandler(FlowCollector flowCollector, Scope scope)`

Method Summary
`void` `cleanup(FlowProcess flowProcess)`
`FlowElement` `getEach()`
`void` `operate(FlowProcess flowProcess, TupleEntry input)`
`void` `prepare(FlowProcess flowProcess)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### operationCall

    protected ConcreteCall operationCall

Constructor Detail

### Each.EachHandler

    protected Each.EachHandler(FlowCollector flowCollector,
                               Scope scope)

Method Detail

### operate

    public void operate(FlowProcess flowProcess,
                        TupleEntry input)

### getEach

    public FlowElement getEach()

### prepare

    public void prepare(FlowProcess flowProcess)

### cleanup

    public void cleanup(FlowProcess flowProcess)

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.